#!/bin/bash

# eg:
# 	save-bzip2.psexe.infoannot  
#	trimmed-sorted-save-bzip2.psexe.annot	

doit()
{
	cd $1
	PSEXES=`ls *exe`

	for name in $PSEXES ; do
		echo -n " Building baseline for $name ... "
		basic_filename=$name.infoannot  
		save_filename=save-$name.infoannot  
		trim_filename=trimmed-sorted-$name.annot	
		trim_save_filename=trimmed-sorted-save-$name.annot	

		if [ ! -f $save_filename -o ! -f $trim_save_filename ]; then
			echo "You promised!" >  $save_filename 
			echo "You promised!" >  $trim_save_filename 
		else
			echo -n " already exists, reusing ..."
		fi
		echo "Done."
	done

}

doit $SMPSA_HOME/tests/quick
doit $SMPSA_HOME/tests/commit

exit 0

