#!/bin/sh

rm -f $1.log *i64 *id0 *id1
$SMPSA_HOME/tests/scripts/SMP-analyze64.sh $1
sort $1.annot > sorted-$1.annot
grep -v nop sorted-$1.annot > trimmed-sorted-$1.annot
sdiff -b -s trimmed-sorted-save-$1.annot trimmed-sorted-$1.annot | wc
sdiff -b -s save-$1.infoannot $1.infoannot | wc

cmp  -s trimmed-sorted-save-$1.annot trimmed-sorted-$1.annot
fail1=$?
cmp  -s save-$1.infoannot $1.infoannot 
fail2=$?

if [ $fail1 -ne 0 -o $fail2 -ne 0 ]; then
      echo "Failure Detected"
      exit 1
else  
      exit 0
fi

